/* -----------Format général-----------*/
body{
    font-family: 'Raleway', sans-serif;
    font-size: 0.8em;
    
}
*{
    box-sizing: border-box;
    margin-top: 0;
    padding:0;
}
strong{
    font-weight: bold;
}
a{
    text-decoration: none;
    color: black;
}
button, a, input[type=submit] {
    cursor: pointer;
}
main{
    max-width: 1400px;
    margin: auto;
}
/* -----------Logo et navigation-----------*/
h1{
    font-size: 1.5em;
}
header{
    display: flex;
    justify-content: space-between;
    align-items:center;
    margin:10px auto;
    max-width: 1400px;
}

.header__nav{
    display: flex;
    justify-content: end;
}

.header__inscription{
    color: #0065FC;
}
nav a{
    padding :15px 20px;
    border-top: solid 2px transparent;
}
nav a:hover{
    border-top-color: #0065FC;
    color: #0065FC;

}
.header__logo{
    padding: 10px;
}
.header__element:nth-child(1){
    flex: 2;
}

nav strong {
    color: #0065FC;
}

/* -----------Recherche et Filtres-----------*/
#search-filter{
    margin: 10px;
}

form{
    display: block;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
}
.fa-map-marker-alt {
    border-radius:10px 0px 0px 10px ;
    font-size: 1em;
    text-align: center;
    
    border-top:solid 4px #F2F2F2;
    border-bottom:solid 3px #F2F2F2;
    border-left:solid 2px #F2F2F2;
    border-right: none;
    background-color: #F2F2F2;
    padding: 15px;
}
.searchInput{
    border-top: solid 2px #F2F2F2;
    border-bottom:solid 2px #F2F2F2;
    border-left: none;
    border-right: none;
    text-align: center;
    padding: 15px;
    margin-right: -3px;
    margin-left: -3px;

}

.searchButton{
    background-color: #0065FC;
    border-top: solid 2px #0065FC;
    border-bottom:solid 2px #0065FC;
    border-left: none;
    border-right: #0065FC;
    border-radius: 0px 10px 10px 0px;
    padding: 15px;
    color:white;
    display: inline;
}


#searchIconButton {
    display: none;
}
/* -----------Filtres-----------*/



.header__filtres{
    display: flex;
    align-items: center;
    justify-content: start;
}

.header__filtres i{
color: #0065FC;
}

.fas fa-map-marked-alt{
    background-color: #F2F2F2;
}

.header__filter__button{
    display: flex;
    flex-wrap: wrap;
    padding: 20px;
}

.Filtres {
    border:solid 3px #F2F2F2;
    border-radius: 50px;
    margin: 10px;
}
.Filtres input:hover{
    color: #0065FC;
}
input{
    background-color: white;
    border: none;
    font-size: 1em;
    font-weight: bold;
    padding-right: 15px;
}

.Filtres .fas{
    background-color: #DEEBFF;
    border-radius: 50px;
    padding: 10px;
}

.hotel-available {
    display: flex;
    align-items: center;
}

.hotel-available__icon{
    border: solid 2px #F2F2F2;
    border-radius: 50%;
    padding: 10px 13px;
    margin-right: 20px;
    color: #0065FC;
}
.hotel-available__text{
    margin-top: 10px;
}
/* -----------Les hébergements-----------*/

/* -----------tous-----------*/

.fa-star{
    color: #0065FC;
}
.hotel__photo, .populaire__photo{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.hotel__photo{
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.populaire__photo{
    border-radius: 10px 0px 0px 10px;
}
#hebergements{
    display: flex;
    justify-content: flex-start;
    align-content: start;

}


/* ---------Les hotels-----------------*/
.Photos_hebergements1, .Photos_hebergements2{
    display: flex;
    justify-content: space-between;  
    flex-wrap: wrap;
}

.Photos_hebergements {
    background-color: #F2F2F2;
    border-radius: 10px;
    padding: 10px;
    margin : 10px;
    flex: 3;
    max-width: 900px;
}

.hotel-preview {
    height: 200px;
    width: 270px;
    border: 5px white solid;
    border-radius: 10px;
    background-color: white;
    margin: 20px 20px 20px 0px;
    line-height: 0.5em;
}

.hotel-preview__photo {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    height: 60%;
 }
 .hotel-preview__textContainer{
    padding: 10px;
    
 }

/* -----------Les populaires-----------*/

.Populaires__title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: 15px;
}
.Populaires{
    background-color :#F2F2F2;
    border-radius: 10px;
    padding: 10px;
    margin : 10px;
    height: 100%;
    flex:1;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    max-width: 450px;
}

.Populaires-preview{
    display: flex;
    justify-content: flex-start;
    align-content: flex-start;
    border:  solid 5px   white ;
    border-radius: 10px;
    background-color: white;
    margin: 15px;
    height: 149px;
    
}
.Populaires-preview__photo{
    width:38%;
    border-radius: 10px 0px 0px 10px;
    margin-right: 10px;
    height: auto;
    overflow: hidden;
}
.Populaires-preview__textContainer{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}




/* -----------Les activités-----------*/
#Activites{
    margin-left: 10px;
    
}
.Activites-previewContainer{
    display: flex;
    justify-content: space-between;
    width: 100%;
    /*flex-grow: 1;
    flex-shrink: 1;*/
    max-width: 1370px;
    

}
.activity-container {
    width: 23%;

}
.Activites-preview {
    border-radius: 10px;
    box-shadow:5px 5px 5px #F2F2F2; 
}
.VieuxPort-preview, .Calanques-preview {
    height: 450px;
}
.VieuxPort-preview__photo, .Calanques-preview__photo{
    width: 100%;
    height: 87%;
}
.Frioul-preview__photo, .FortPomegues-preview__photo, .NDGarde-preview__photo, .ParcLongchamps-preview__photo{
    width: 100%;
    height: 80%;
}

.VieuxPort__photo, .Calanques__photo, .FortPomegues__photo, .Frioul__photo, .NDGarde__photo, .ParcLongchamps__photo{
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 10px 10px 0px 0px;
}
 
.ActivityContainer2, .ActivityContainer4{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 450px;
}

.FortPomegues-preview{
    height: 235px;
}
.Frioul-preview {
    height: 165px;
}
.NDGarde-preview{
    height: 195px;
}
.ParcLongchamps-preview{
    height: 210px;
}
.Activites-preview__text{
    margin: 1em 0 1em 0.5em;
}
/* Footer*/

footer {
    background-color: #F2F2F2;
    display: flex;
    justify-content: space-around;
    margin-top: 40px;
    padding-top:20px;
}
.column__title{
    font-weight: bold
}

/* --------------------Maquette iPhone--------------------------------------------*/

@media screen and (max-width: 660px){
    body{
       margin-left: 0;
       font-size: 0.9em;
       margin: 0;
       padding: 0;
    }

/* header : Logo et navigation*/
    header{
        margin-bottom: 30px;
        align-content: flex-start;
        flex-wrap: wrap;
    }

    .header__nav{
        justify-content: space-between;
        width: 100%;
    }
    .header__element:nth-child(2){
        order: 3;
        align-self: flex-end;
        width: 100%;
        border-bottom: solid 2px #F2F2F2;
        }
    .header__element:nth-child(3){
        order: 2;
        padding:10px;
        text-align:end;
            }
    nav a{
        width: 50%;
        text-align: center;
    }
    nav a:hover{
        border-top: none;
        border-bottom: solid 2px #0065FC;
        color: #0065FC;
            }

    #searchIconButton {
        border-radius: 10px;
        margin-left: 0px;
        padding:0px;
        display:block;
        font-weight: 900;
    }
    .searchButton span {
        display: none;
    }
    .searchButton{
        text-align: center;
        border-radius: 10px;
    }

/* Filtres----------------------------*/
    .header__filtres{
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        margin-top: 20px;
        margin-bottom: 20px;
        width: auto;
        align-content: flex-start;
        padding: 0px;
    }

    .header__filter__button{
        align-items: flex-start;
        padding: 0px;
    }
    
    .Filtres{
        margin: 10px 10px 10px 0;
    }
    .header__selectionville{
        width: 100%;
    }
    .header__selectionville button{
        display: none;
    }

/*Hébergements-------------------------*/
    #hebergements{
        flex-direction: column-reverse;
        align-items: center;
        align-content: center;
    }   
    
    .Populaires{
        border-radius: 0px;
        margin: 0;
        margin-right: 0;
        padding: 20px 0;
        
        width: 100%;
        max-width: 100%;
    }
    .Populaires__title{
        margin-top: 10px;
        padding-right: 25px;
    }
    .Populaires__title .fas{
        float: right;
    }
    .Populaires-preview{
        margin: 10px;
        height: 145px;
        width: 100%;
        max-width: 350px;
        
     }
    .Photos_hebergements {
        background-color: white;
        padding: 10px;
        margin : 10px;
        flex: 1;
                
        width: 100%;
        max-width: 100%;
    }
    .Photos_hebergements1{
        flex-direction: column;
    }
    .Photos_hebergements2{
        flex-direction: column;
        margin-bottom: 20px;
    }
    .hotel-preview {
        margin-bottom: 10px;
        height: 200px;
        width: 100%;
        border-radius: 20px;
        box-shadow:5px 5px 5px #F2F2F2;
    }


/*Activités*/

#Activites{
    margin-right: 10px;
}

    .Activites-previewContainer{
        display: flex;
        flex-direction: column;
        justify-content: start;
        
        width: 100%;
        max-width: 100%;

    }
    .Activites-preview{
        height: 200px;
        margin-bottom: 20px;
        
        
    }
    .Activites-preview__photo{
        height: 75%;
    }

    .ActivityContainer1, .ActivityContainer2, .ActivityContainer3, .ActivityContainer4{
        width: 100%;
        margin: 0;  
        height: auto;
    }



/*Footer  */
    footer{
        flex-direction: column;
        justify-content: start;
        padding: 20px 10px;
        width: 100%;
    }

}
/*
@media screen and (max-width: 1200px){
    #hebergements{
        flex-direction: column-reverse;
        align-items: center;
        align-content: center;
    }
    /*.Populaires-preview-container{
        display: flex;
        align-items: flex-start;
        flex-wrap: wrap;
    }
    .Populaires{
        max-width: 100%;
        width: 100%;
    }
    .Photos_hebergements{
        max-width: 100%;
        width: 100%;
    }
    .Activites-previewContainer{
        flex-wrap: wrap;
        width: 100%;
        max-width: 100%;
        
               
    }
    .activity-container{
        
        margin-bottom: 20px;
    }
    #Activites{
        margin-right: 10px;
    }
}
*/
